Search jobs
Jobs by title, company, city and state, open jobs only if you ask.
GET https://cotlet.dev/api/v1/jobdiva/jobs/search
read
Returns one row per job with its id, JobDiva reference, title, company, location and status. Use job_id in get_job, list_submittals and create_submittal. Jobs you cannot open in JobDiva are not returned.
Parameters
| Name | Type | Description |
|---|---|---|
| title string | string | Words from the job title. |
| company_name string | string | Company the job is for. |
| city string | string | City of the job. |
| state string | string | State of the job. |
| open_only boolean | boolean | true returns open jobs only. |
| limit integer | integer | Maximum number of jobs returned. |
Request
curl https://cotlet.dev/api/v1/jobdiva/jobs/search \
-H "Authorization: Bearer $COTLET_API_KEY" result = client.call("jobdiva", "search_jobs") const result = await cotlet.call('jobdiva', 'search_jobs'); cotlet call jobdiva search_jobs Example response
{
"jobs": [
{
"job_id": 24071835,
"reference": "26-04817",
"title": "Senior Data Analyst",
"company": "Northwind Logistics",
"location": "Chicago, IL",
"status": "Open"
},
{
"job_id": 24072210,
"reference": "26-04902",
"title": "Data Engineer",
"company": "Harbor Freight Tech",
"location": "Austin, TX",
"status": "Open"
}
]
}